#!/bin/sh
# Copyright 2026 Jochen Sprickerhof <debvm@jochen.sprickerhof.de>
# SPDX-License-Identifier: MIT
#
# mmdebstrap customize hook to create a autopkgtest-virt-qemu compatible image

set -eu

TARGET=$1

if test "${MMDEBSTRAP_VERBOSITY:-1}" -ge 3; then
	set -x
fi

"${0%/*}/../useradd/customize.sh" "$TARGET"
/usr/share/autopkgtest/setup-commands/setup-testbed "$TARGET"
echo "I: Don't forget to pass --boot=efi when running autopkgtest-virt-qemu with this image" >&2
